#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
    ofSetFrameRate(60);
    shader.setup("myShader");
    image.loadImage("foo.png");

    contrast = 1.0f;
    brightness = 0.0f;
}

//--------------------------------------------------------------
void testApp::update(){
}

//--------------------------------------------------------------
void testApp::draw(){
	//ofEnableAlphaBlending();
	ofSetColor(255, 255, 255, 255);
    shader.begin();
    shader.setUniform("contrast", contrast);
    shader.setUniform("brightness", brightness);
    image.draw(10,40);
    shader.end();
    ofDrawBitmapString("fps: "+ofToString(ofGetFrameRate()), 10, 18);
    ofDrawBitmapString("brightness (a/s) : "+ofToString(brightness), 10, 28);
    ofDrawBitmapString("contrast (z/x): "+ofToString(contrast), 10, 38);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
    switch (key)
    {
        case 'a':
        case 'A':
            brightness += 0.01f;
            break;
        case 's':
        case 'S':
            brightness -= 0.01f;
            break;
        case 'z':
        case 'Z':
            contrast += 0.01f;
            break;
        case 'x':
        case 'X':
            contrast -= 0.01f;
            break;
    }
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

